Bug 341 - pam_smbpass is broken
pam_smbpass is broken
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P3 major
: 3.0.0rc2
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-24 06:38 UTC by Gal Goldschmidt
Modified: 2005-11-14 09:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gal Goldschmidt 2003-08-24 06:38:02 UTC
The build goes fine but the resulting pam_smbpass.so  
has a lot of undefined symbol, and does not work. 
Tested from 3.0.0beta3 till today cvs. 
Today cvs: 
$>ldd -r bin/pam_smbpass.so 
        libpam.so.0 => /lib/libpam.so.0 (0x400b1000) 
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x400b9000) 
        libresolv.so.2 => /lib/libresolv.so.2 (0x400e6000) 
        libnsl.so.1 => /lib/libnsl.so.1 (0x400f8000) 
        libdl.so.2 => /lib/libdl.so.2 (0x4010e000) 
        libc.so.6 => /lib/i686/libc.so.6 (0x40112000) 
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x80000000) 
undefined symbol: ldap_value_free       (bin/pam_smbpass.so) 
undefined symbol: ldap_unbind_ext       (bin/pam_smbpass.so) 
undefined symbol: ldap_mods_free        (bin/pam_smbpass.so) 
undefined symbol: ldap_get_dn   (bin/pam_smbpass.so) 
undefined symbol: ber_alloc_t   (bin/pam_smbpass.so) 
undefined symbol: unbecome_root (bin/pam_smbpass.so) 
undefined symbol: become_root   (bin/pam_smbpass.so) 
undefined symbol: ber_printf    (bin/pam_smbpass.so) 
undefined symbol: ber_free      (bin/pam_smbpass.so) 
undefined symbol: ber_bvfree    (bin/pam_smbpass.so) 
undefined symbol: msrpc_gen     (bin/pam_smbpass.so) 
undefined symbol: ldap_first_entry      (bin/pam_smbpass.so) 
undefined symbol: ldap_count_entries    (bin/pam_smbpass.so) 
undefined symbol: ldap_extended_operation_s     (bin/pam_smbpass.so) 
undefined symbol: ldap_simple_bind_s    (bin/pam_smbpass.so) 
undefined symbol: ldap_modify_s (bin/pam_smbpass.so) 
undefined symbol: ldap_delete_s (bin/pam_smbpass.so) 
undefined symbol: ldap_next_attribute   (bin/pam_smbpass.so) 
undefined symbol: ldap_initialize       (bin/pam_smbpass.so) 
undefined symbol: ldap_get_values       (bin/pam_smbpass.so) 
undefined symbol: ldap_search_s (bin/pam_smbpass.so) 
undefined symbol: ldap_start_tls_s      (bin/pam_smbpass.so) 
undefined symbol: ldap_get_option       (bin/pam_smbpass.so) 
undefined symbol: ldap_set_option       (bin/pam_smbpass.so) 
undefined symbol: ldap_err2string       (bin/pam_smbpass.so) 
undefined symbol: ldap_set_rebind_proc  (bin/pam_smbpass.so) 
undefined symbol: ldap_add_s    (bin/pam_smbpass.so) 
undefined symbol: ber_memfree   (bin/pam_smbpass.so) 
undefined symbol: sid_to_uid    (bin/pam_smbpass.so) 
undefined symbol: ldap_memfree  (bin/pam_smbpass.so) 
undefined symbol: ldap_first_attribute  (bin/pam_smbpass.so) 
undefined symbol: ber_flatten   (bin/pam_smbpass.so) 
undefined symbol: ldap_next_entry       (bin/pam_smbpass.so) 
undefined symbol: ldap_msgfree  (bin/pam_smbpass.so) 
 
I can link libldap and libsmbclient and it solve most of the problems but not the 
sid_to_uid 
this function is fonud only with smbd and require to link just about all of it to 
pam_smbpass.so
Comment 1 Gerald (Jerry) Carter 2003-08-25 12:10:37 UTC
should be fixed in the latest SAMBA_3_0 cvs tree.
Comment 2 Gerald (Jerry) Carter 2005-02-07 09:06:27 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:03 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:29:38 UTC
database cleanup